<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RichiestaCreaAvvisoPdf StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: q3:RichiestaCreaAvvisoPdf
 * @subpackage Structs
 */
class RichiestaCreaAvvisoPdf extends GeneratorPdfBytesAuthenticatedRequestBase
{
    /**
     * The codiceEnteCreditore
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $codiceEnteCreditore;
    /**
     * The identificativoPosizione
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $identificativoPosizione;
    /**
     * Constructor method for RichiestaCreaAvvisoPdf
     * @uses RichiestaCreaAvvisoPdf::setCodiceEnteCreditore()
     * @uses RichiestaCreaAvvisoPdf::setIdentificativoPosizione()
     * @param string $codiceEnteCreditore
     * @param string $identificativoPosizione
     */
    public function __construct($codiceEnteCreditore = null, $identificativoPosizione = null)
    {
        $this
            ->setCodiceEnteCreditore($codiceEnteCreditore)
            ->setIdentificativoPosizione($identificativoPosizione);
    }
    /**
     * Get codiceEnteCreditore value
     * @return string|null
     */
    public function getCodiceEnteCreditore()
    {
        return $this->codiceEnteCreditore;
    }
    /**
     * Set codiceEnteCreditore value
     * @param string $codiceEnteCreditore
     * @return \StructType\RichiestaCreaAvvisoPdf
     */
    public function setCodiceEnteCreditore($codiceEnteCreditore = null)
    {
        // validation for constraint: string
        if (!is_null($codiceEnteCreditore) && !is_string($codiceEnteCreditore)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codiceEnteCreditore, true), gettype($codiceEnteCreditore)), __LINE__);
        }
        $this->codiceEnteCreditore = $codiceEnteCreditore;
        return $this;
    }
    /**
     * Get identificativoPosizione value
     * @return string|null
     */
    public function getIdentificativoPosizione()
    {
        return $this->identificativoPosizione;
    }
    /**
     * Set identificativoPosizione value
     * @param string $identificativoPosizione
     * @return \StructType\RichiestaCreaAvvisoPdf
     */
    public function setIdentificativoPosizione($identificativoPosizione = null)
    {
        // validation for constraint: string
        if (!is_null($identificativoPosizione) && !is_string($identificativoPosizione)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificativoPosizione, true), gettype($identificativoPosizione)), __LINE__);
        }
        $this->identificativoPosizione = $identificativoPosizione;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RichiestaCreaAvvisoPdf
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
