<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RichiestaCreaRTPdf StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:RichiestaCreaRTPdf
 * @subpackage Structs
 */
class RichiestaCreaRTPdf extends GeneratorPdfBytesAuthenticatedRequestBase
{
    /**
     * The CodiceFiscalePartitaIva
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CodiceFiscalePartitaIva;
    /**
     * The codiceEnteCreditore
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $codiceEnteCreditore;
    /**
     * The identificativoPosizione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $identificativoPosizione;
    /**
     * Constructor method for RichiestaCreaRTPdf
     * @uses RichiestaCreaRTPdf::setCodiceFiscalePartitaIva()
     * @uses RichiestaCreaRTPdf::setCodiceEnteCreditore()
     * @uses RichiestaCreaRTPdf::setIdentificativoPosizione()
     * @param string $codiceFiscalePartitaIva
     * @param string $codiceEnteCreditore
     * @param string $identificativoPosizione
     */
    public function __construct($codiceFiscalePartitaIva = null, $codiceEnteCreditore = null, $identificativoPosizione = null)
    {
        $this
            ->setCodiceFiscalePartitaIva($codiceFiscalePartitaIva)
            ->setCodiceEnteCreditore($codiceEnteCreditore)
            ->setIdentificativoPosizione($identificativoPosizione);
    }
    /**
     * Get CodiceFiscalePartitaIva value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodiceFiscalePartitaIva()
    {
        return isset($this->CodiceFiscalePartitaIva) ? $this->CodiceFiscalePartitaIva : null;
    }
    /**
     * Set CodiceFiscalePartitaIva value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codiceFiscalePartitaIva
     * @return \StructType\RichiestaCreaRTPdf
     */
    public function setCodiceFiscalePartitaIva($codiceFiscalePartitaIva = null)
    {
        // validation for constraint: string
        if (!is_null($codiceFiscalePartitaIva) && !is_string($codiceFiscalePartitaIva)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codiceFiscalePartitaIva, true), gettype($codiceFiscalePartitaIva)), __LINE__);
        }
        if (is_null($codiceFiscalePartitaIva) || (is_array($codiceFiscalePartitaIva) && empty($codiceFiscalePartitaIva))) {
            unset($this->CodiceFiscalePartitaIva);
        } else {
            $this->CodiceFiscalePartitaIva = $codiceFiscalePartitaIva;
        }
        return $this;
    }
    /**
     * Get codiceEnteCreditore value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodiceEnteCreditore()
    {
        return isset($this->codiceEnteCreditore) ? $this->codiceEnteCreditore : null;
    }
    /**
     * Set codiceEnteCreditore value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codiceEnteCreditore
     * @return \StructType\RichiestaCreaRTPdf
     */
    public function setCodiceEnteCreditore($codiceEnteCreditore = null)
    {
        // validation for constraint: string
        if (!is_null($codiceEnteCreditore) && !is_string($codiceEnteCreditore)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codiceEnteCreditore, true), gettype($codiceEnteCreditore)), __LINE__);
        }
        if (is_null($codiceEnteCreditore) || (is_array($codiceEnteCreditore) && empty($codiceEnteCreditore))) {
            unset($this->codiceEnteCreditore);
        } else {
            $this->codiceEnteCreditore = $codiceEnteCreditore;
        }
        return $this;
    }
    /**
     * Get identificativoPosizione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdentificativoPosizione()
    {
        return isset($this->identificativoPosizione) ? $this->identificativoPosizione : null;
    }
    /**
     * Set identificativoPosizione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $identificativoPosizione
     * @return \StructType\RichiestaCreaRTPdf
     */
    public function setIdentificativoPosizione($identificativoPosizione = null)
    {
        // validation for constraint: string
        if (!is_null($identificativoPosizione) && !is_string($identificativoPosizione)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificativoPosizione, true), gettype($identificativoPosizione)), __LINE__);
        }
        if (is_null($identificativoPosizione) || (is_array($identificativoPosizione) && empty($identificativoPosizione))) {
            unset($this->identificativoPosizione);
        } else {
            $this->identificativoPosizione = $identificativoPosizione;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RichiestaCreaRTPdf
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
