<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RispostaCreaRTPdf StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: q12:RispostaCreaRTPdf
 * @subpackage Structs
 */
class RispostaCreaRTPdf extends AbstractStructBase
{
    /**
     * The RTPdf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $RTPdf;
    /**
     * Constructor method for RispostaCreaRTPdf
     * @uses RispostaCreaRTPdf::setRTPdf()
     * @param string $rTPdf
     */
    public function __construct($rTPdf = null)
    {
        $this
            ->setRTPdf($rTPdf);
    }
    /**
     * Get RTPdf value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRTPdf()
    {
        return isset($this->RTPdf) ? $this->RTPdf : null;
    }
    /**
     * Set RTPdf value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $rTPdf
     * @return \StructType\RispostaCreaRTPdf
     */
    public function setRTPdf($rTPdf = null)
    {
        // validation for constraint: string
        if (!is_null($rTPdf) && !is_string($rTPdf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rTPdf, true), gettype($rTPdf)), __LINE__);
        }
        if (is_null($rTPdf) || (is_array($rTPdf) && empty($rTPdf))) {
            unset($this->RTPdf);
        } else {
            $this->RTPdf = $rTPdf;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RispostaCreaRTPdf
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
